public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-libs/armadillo/
Date: Wed,  9 Sep 2015 07:11:07 +0000 (UTC)	[thread overview]
Message-ID: <1441699398.962b7dd6419c21a05d50dd71d7841ee92dee8be2.jlec@gentoo> (raw)

commit:     962b7dd6419c21a05d50dd71d7841ee92dee8be2
Author:     Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
AuthorDate: Tue Sep  8 08:03:18 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Tue Sep  8 08:03:18 2015 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=962b7dd6

sci-libs/armadillo: Yet another version bump

Package-Manager: portage-2.2.20.1

 sci-libs/armadillo/ChangeLog                |   6 ++
 sci-libs/armadillo/armadillo-5.500.2.ebuild | 121 ++++++++++++++++++++++++++++
 2 files changed, 127 insertions(+)

diff --git a/sci-libs/armadillo/ChangeLog b/sci-libs/armadillo/ChangeLog
index 4f40a8b..191e8c9 100644
--- a/sci-libs/armadillo/ChangeLog
+++ b/sci-libs/armadillo/ChangeLog
@@ -2,6 +2,12 @@
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
 # $Id$
 
+*armadillo-5.500.2 (08 Sep 2015)
+
+  08 Sep 2015; Marius Brehler <marbre@linux.sungazer.de>
+  +armadillo-5.500.2.ebuild:
+  sci-libs/armadillo: Yet another version bump
+
 *armadillo-5.400.2 (26 Aug 2015)
 
   26 Aug 2015; Marius Brehler <marbre@linux.sungazer.de>

diff --git a/sci-libs/armadillo/armadillo-5.500.2.ebuild b/sci-libs/armadillo/armadillo-5.500.2.ebuild
new file mode 100644
index 0000000..6682a81
--- /dev/null
+++ b/sci-libs/armadillo/armadillo-5.500.2.ebuild
@@ -0,0 +1,121 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+CMAKE_IN_SOURCE_BUILD=1
+
+inherit cmake-utils toolchain-funcs multilib eutils
+
+DESCRIPTION="Streamlined C++ linear algebra library"
+HOMEPAGE="http://arma.sourceforge.net/"
+SRC_URI="mirror://sourceforge/arma/${P}.tar.gz"
+
+LICENSE="MPL-2.0"
+SLOT="0/5"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="arpack atlas blas debug doc examples hdf5 lapack mkl superlu tbb test"
+REQUIRED_USE="test? ( lapack )"
+
+RDEPEND="
+	dev-libs/boost
+	arpack? ( sci-libs/arpack )
+	atlas? ( sci-libs/atlas[lapack] )
+	blas? ( virtual/blas )
+	lapack? ( virtual/lapack )
+	superlu? ( sci-libs/superlu )
+"
+DEPEND="${RDEPEND}
+	arpack? ( virtual/pkgconfig )
+	atlas? ( virtual/pkgconfig )
+	blas? ( virtual/pkgconfig )
+	hdf5? ( sci-libs/hdf5 )
+	lapack? ( virtual/pkgconfig )
+	mkl? ( sci-libs/mkl )
+	tbb? ( dev-cpp/tbb )"
+PDEPEND="${RDEPEND}
+	hdf5? ( sci-libs/hdf5 )
+	mkl? ( sci-libs/mkl )
+	tbb? ( dev-cpp/tbb )"
+
+src_prepare() {
+	# avoid the automagic cmake macros
+	sed -i -e '/ARMA_Find/d' CMakeLists.txt || die
+	cmake-utils_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DINSTALL_LIB_DIR="${EPREFIX}/usr/$(get_libdir)"
+		$(cmake-utils_use debug ARMA_EXTRA_DEBUG)
+		$(cmake-utils_use mkl ARMA_USE_MKL_ALLOC)
+		$(cmake-utils_use tbb ARMA_USE_TBB_ALLOC)
+	)
+	if use arpack; then
+		mycmakeargs+=(
+			-DARPACK_FOUND=ON
+			-DARPACK_LIBRARY="$($(tc-getPKG_CONFIG) --libs arpack)"
+		)
+	fi
+	if use atlas; then
+		local c=atlas-cblas l=atlas-clapack
+		$(tc-getPKG_CONFIG) --exists ${c}-threads && c+=-threads
+		$(tc-getPKG_CONFIG) --exists ${l}-threads && l+=-threads
+		mycmakeargs+=(
+			-DCBLAS_FOUND=ON
+			-DCBLAS_INCLUDE_DIR="$($(tc-getPKG_CONFIG) --cflags-only-I ${c} | sed 's/-I//')"
+			-DCBLAS_LIBRARIES="$($(tc-getPKG_CONFIG) --libs ${c})"
+			-DCLAPACK_FOUND=ON
+			-DCLAPACK_INCLUDE_DIR="$($(tc-getPKG_CONFIG) --cflags-only-I ${l} | sed 's/-I//')"
+			-DCLAPACK_LIBRARIES="$($(tc-getPKG_CONFIG) --libs ${l})"
+		)
+	fi
+	if use blas; then
+		mycmakeargs+=(
+			-DBLAS_FOUND=ON
+			-DBLAS_LIBRARIES="$($(tc-getPKG_CONFIG) --libs blas)"
+		)
+	fi
+	if use hdf5; then
+		mycmakeargs+=(
+			-DHDF5_FOUND=ON
+			-DHDF5_LIBRARIES="-lhdf5"
+		)
+	fi
+	if use lapack; then
+		mycmakeargs+=(
+			-DLAPACK_FOUND=ON
+			-DLAPACK_LIBRARIES="$($(tc-getPKG_CONFIG) --libs lapack)"
+		)
+	fi
+	if use superlu; then
+		mycmakeargs+=(
+			-DSuperLU_FOUND=ON
+			-DSuperLU_LIBRARIES="$($(tc-getPKG_CONFIG) --libs superlu)"
+		)
+	fi
+
+	cmake-utils_src_configure
+}
+
+src_test() {
+	pushd examples > /dev/null
+	emake \
+		CXXFLAGS="-I../include ${CXXFLAGS} -DARMA_USE_BLAS -DARMA_USE_LAPACK" \
+		EXTRA_LIB_FLAGS="-L.. $($(tc-getPKG_CONFIG) --libs blas lapack)"
+	LD_LIBRARY_PATH="..:${LD_LIBRARY_PATH}" ./example1 || die
+	LD_LIBRARY_PATH="..:${LD_LIBRARY_PATH}" ./example2 || die
+	emake clean
+	popd > /dev/null
+}
+
+src_install() {
+	cmake-utils_src_install
+	dodoc README.txt
+	use doc && dodoc *pdf && dohtml *html
+	if use examples; then
+		insinto /usr/share/examples/${PF}
+		doins -r examples/*
+	fi
+}


             reply	other threads:[~2015-09-09  7:11 UTC|newest]

Thread overview: 43+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-09-09  7:11 Justin Lecher [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-09-22 12:14 [gentoo-commits] proj/sci:master commit in: sci-libs/armadillo/ Aisha Tammy
2016-05-17  9:19 Marius Brehler
2016-04-01 14:09 Marius Brehler
2016-04-01 14:09 Marius Brehler
2015-11-13  8:35 Marius Brehler
2015-09-21 19:05 Justin Lecher
2015-09-13 18:34 Justin Lecher
2015-08-27 15:01 Justin Lecher
2015-07-25 23:39 Andrew Savchenko
2015-07-25 23:39 Andrew Savchenko
2015-07-25 23:39 Andrew Savchenko
2015-07-23 21:06 Jauhien Piatlicki
2015-05-26  8:10 Justin Lecher
2015-05-26  8:10 Justin Lecher
2015-05-18 13:05 Justin Lecher
2015-05-04 14:02 Justin Lecher
2015-05-03 20:43 Andrew Savchenko
2015-05-03 20:43 Andrew Savchenko
2015-04-16  6:34 Justin Lecher
2015-04-03 17:53 Guillaume Horel
2015-03-08 18:08 Justin Lecher
2015-01-27 16:00 Christoph Junghans
2015-01-12 20:24 Christoph Junghans
2014-06-28 21:24 Jauhien Piatlicki
2014-05-07 23:19 Sebastien Fabbro
2014-04-22 20:47 Sebastien Fabbro
2014-03-22  9:45 Justin Lecher
2014-03-19 17:46 Sebastien Fabbro
2014-02-16 13:04 Reinis Danne
2014-02-10  4:14 Sebastien Fabbro
2014-02-10  4:14 Sebastien Fabbro
2014-02-08 14:36 Reinis Danne
2013-08-19 23:33 Sebastien Fabbro
2013-07-03 16:22 Sebastien Fabbro
2013-02-28  0:20 Sebastien Fabbro
2013-02-25  2:38 Sebastien Fabbro
2013-02-22 15:46 Justin Lecher
2013-02-07  7:34 Sebastien Fabbro
2013-01-24 19:47 Sebastien Fabbro
2012-12-12 18:27 Sebastien Fabbro
2012-07-20 22:03 Sebastien Fabbro
2011-03-06 19:38 Sebastien Fabbro

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1441699398.962b7dd6419c21a05d50dd71d7841ee92dee8be2.jlec@gentoo \
    --to=jlec@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox